var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useCallback } from 'react';
import { Select as AntdSelect } from 'antd';
import { Labelled } from '../labelled';
import { SelectCSS } from './multi-select.style';
export const MultiSelect = (_a) => {
    var { options = [], onChange = () => void 0, onBlur = () => void 0, onAccept = () => void 0, defaultValue, onSelect } = _a, props = __rest(_a, ["options", "onChange", "onBlur", "onAccept", "defaultValue", "onSelect"]);
    const handleChange = useCallback((values) => onChange(values), [onChange]);
    const handleBlur = useCallback((event) => {
        onAccept();
        onBlur(event);
    }, [onBlur, onAccept]);
    return (_jsx(AntdSelect, Object.assign({ css: SelectCSS, size: "small", mode: "multiple", onChange: handleChange, onBlur: handleBlur }, props, { children: options.map((option) => (typeof option === 'object'
            ? (_jsx(AntdSelect.Option, { value: option.value, disabled: option.disabled, children: option.title }, option.value))
            : (_jsx(AntdSelect.Option, { value: option, children: option }, option)))) })));
};
export const LabelledMultiSelect = (_a) => {
    var { label } = _a, props = __rest(_a, ["label"]);
    return (_jsx(Labelled, { label: label, children: _jsx(MultiSelect, Object.assign({}, props)) }));
};
